<?php

use yii\db\Migration;

/**
 * Class m240722_185718_tabla_tipoServicio_y_cambio_a_numero_en_costo
 */
class m240722_185718_tabla_tipoServicio_y_cambio_a_numero_en_costo extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->createTable('TipoServicio', [
            "id" => $this->string(36),
            "clave" => $this->string(100)->notNull(),
            "nombre" => $this->string(100)->notNull(),
            "creado" => $this->timestamp()->append(" with time zone"),
            "modificado" => $this->timestamp()->append(" with time zone"),
            "eliminado" => $this->timestamp()->append(" with time zone"),
        ]);

        $this->addPrimaryKey('TipoServicioPK', 'TipoServicio', 'id');

        $this->execute('ALTER TABLE "ServicioElemento" ALTER COLUMN "costo" TYPE decimal(10,2) USING "costo"::decimal(10,2)');
    }
    
    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->alterColumn('ServicioElemento', 'costo', $this->string());
    
        $this->dropTable('TipoServicio');
    }
}
